	.text
/* .origin 0 */
	.byte 0,0
	.byte 0,0
	.byte 0226,0	/* 4 bus error trap */
	.byte 0,0
	.byte 012,0	/* reserved instruction trap */
	.byte 0,0

/*.origin 200 */
	.=.+0200-014
	mov $0410,sp	/* set the stack */
	mov $0420,r0	/* set target memory address */
	mov r0, r1	/* copy memory address */
loop1:	mov r1, (r1)	/* write memory */
	cmp r1, (r1)	/* check write */
	beq .+2		/* OK */
/*	halt		/* initial check error */
	.byte 0,0
	com (r1)+	/* complement the data */
	br loop1	/* loop till bus error */
	mov $6,*$4	/* reload trap vector */
	mov r0,r1	/* copy memory address */
loop2:	com (r1)	/* complement memory */
	cmp r1,(r1)	/* recheck memory */
	beq .+2		/* OK */
/*	halt		/* memory addressing error */
	.byte 0,0
	tst (r1)+	/* increment memory address */
	br loop2
